curl --request GET \
--url https://api.rhino.fi/bridge/config/{chain}/{token}import requests
url = "https://api.rhino.fi/bridge/config/{chain}/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rhino.fi/bridge/config/{chain}/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"decimals": 123,
"coingeckoId": "<string>",
"token": "<string>",
"address": "<string>",
"chain": "<string>",
"maxDepositLimit": 123,
"maxWithdrawLimit": 123,
"minAmountUsdInContract": 123,
"allowedRouteChains": [
"<string>"
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain
This endpoint provides key information a chain or token that Rhino.fi supports swapping and/or bridging across as well as field names that should be used in other endpoints.
Path Parameters
The blockchain that details should be provided for, e.g. "ETHEREUM".
The token that details should be provided for.
Response
ExtendedTokenEntry
The number of decimal places for the token.
API ID of the token within the CoinGecko listing page.
The identifier for the token.
The contract address for the token on the given chain.
The name of the chain.
The maximum amount of that token that can be deposited into an SDA or bridged with Rhino.fi.
The maximum amount of that token that can be withdrawn from an SDA or bridged with Rhino.fi.
Minimum USD amount required in the contract for this token on this chain.
Whitelist of chains this token may be sent to / received from on this chain. If absent, all chains are allowed.